For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create client

Allows a customer to be created before performing any consumer checks and validations in the registry DHA of South Africa 🇿🇦.

Endpoint

POST /civil-registry/dha/customers

Authentication

Type
Location
Name

API Key

Header

x-api-key

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

id_type

string

Yes

Identification type. Possible values: id_number, passport

id_number

string

Yes

South African identification number of 13 digits.

first_name

string

Yes

Customer's first name as it appears on their Identity document.

middle_name

string

Yes

Customer's middle name as it appears on their Identity document.

last_name

string

Yes

Customer's last name as it appears on their Identity document.

email

string

Yes

Customer's email address. Must be in the format [email protected]

client_reference

string

Yes

Reference that can be used to identify and search for the customer in their system. Each customer must have a client_reference unique.

country

string

No

Customer's nationality.

popi

boolean

Yes

Indicates whether the customer has given consent under the Protection of Personal Information Act (POPI) to continue with data collection and additional checks.

terms_and_conditions

boolean

Yes

Indicates whether the customer has accepted the Application Terms and Conditions and the Checks being carried out.

Request example

Responses

200 Success

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated